<?php
/**
 * Routes configuration
 *
 * In this file, you set up routes to your controllers and their actions.
 * Routes are very important mechanism that allows you to freely connect
 * different URLs to chosen controllers and their actions (functions).
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       app.Config
 * @since         CakePHP(tm) v 0.2.9
 * @license       http://www.opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Here, we are connecting '/' (base path) to controller called 'Pages',
 * its action called 'display', and we pass a param to select the view file
 * to use (in this case, /app/View/Pages/home.ctp)...
 */
//Router::connect('/pages/:action/*', array('controller' => 'pages'));



Router::connect('/', array('controller' => 'Home', 'action' => 'index', 'home'));
//Router::connect('/*', array('controller' => 'Maintenance', 'action' => 'index', 'home'));

Router::connect('/Home/:action/*', array('controller'=>'Home'));
Router::connect('/Expense/:action/*', array('controller'=>'Expense'));
Router::connect('/GroupSetting/:action/*', array('controller'=>'GroupSetting'));
Router::connect('/m/*', array('controller'=>'Mobile'));
Router::connect('/Mobile/:action/*', array('controller'=>'Mobile'));

//Router::connect('/geservicesclient/:action/*', array('controller'=>'GeservicesClient'));


//Router::connect('/Expense/changeGroupExpense', array('controller' => 'Expense', 'action' => 'changeGroupExpense', '')); 
//Router::connect('/Expense/changeParticipant', array('controller' => 'Expense', 'action' => 'changeParticipant', ''));

Router::mapResources('geservices');

Router::connect('/geservices/:action/*', array('controller'=>'Geservices'));
Router::connect('/meservices/:action/*', array('controller'=>'Meservices'));
Router::connect('/feservices/:action/*', array('controller'=>'Feservices'));
Router::connect('/users/:action/*', array('controller'=>'Users'));
Router::connect('/products/:action/*', array('controller'=>'Products'));

Router::connect('/filters/:action/*', array('controller'=>'Filters'));

Router::connect('/FBAction/:action/*', array('controller'=>'FBAction'));

Router::connect('/fbapp', array('controller' => 'FBHome', 'action' => 'index', 'home'));

Router::connect('/pages/:action/*', array('controller' => 'pages'));

Router::connect('/emails/:action/*', array('controller' => 'emails'));

Router::connect('/en', array('controller' => 'Home', 'action' => 'changeLanguage','eng'));
 
Router::connect('/es', array('controller' => 'Home', 'action' => 'changeLanguage','spa'));
 
Router::connect('/*', array('controller' => 'Expense', 'action' => 'index', ''));

 

 /**
 * ...and connect the rest of 'Pages' controller's URLs.
 */

	

	Router::parseExtensions('json');
//	Router::connect('/*', array('controller' => 'Home', 'action' => 'loadUniqueURL', 'home'));

/**
 * Load all plugin routes. See the CakePlugin documentation on
 * how to customize the loading of plugin routes.
 */
	CakePlugin::routes();

/**
 * Load the CakePHP default routes. Only remove this if you do not want to use
 * the built-in default routes.
 */
	
	
	
	
	require CAKE . 'Config' . DS . 'routes.php';
